PluginParameters (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.PluginParameters class
Date: 2021-03-21

net.sourceforge.jnlp

## Class PluginParameters

- java.lang.Object
- - net.sourceforge.jnlp.PluginParameters

-     public class PluginParameters
      extends java.lang.Object

  Represents plugin applet parameters, backed by a HashMap.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginParameters(java.util.Map<java.lang.String,java.lang.String> params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `get(java.lang.String key)`
    `java.lang.String` | `getAppletTitle()`
    `java.lang.String` | `getArchive()`
    `java.lang.String` | `getCacheArchive()`
    `java.lang.String` | `getCacheArchiveEx()`
    `java.lang.String` | `getCacheOption()`
    `java.lang.String` | `getCacheVersion()`
    `java.lang.String` | `getCode()`
    `java.lang.String` | `getDefaulted(java.lang.String key, java.lang.String defaultStr)`
    `int` | `getHeight()`
    `java.lang.String` | `getJarFiles()`
    `java.lang.String` | `getJavaArchive()`
    `java.lang.String` | `getJavaArguments()`
    `java.lang.String` | `getJNLPEmbedded()`
    `java.lang.String` | `getJNLPHref()`
    `java.lang.String` | `getPermissions()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getUnderlyingMap()`
    `java.lang.String` | `getUniqueKey(java.net.URL codebase)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getUnmodifiableMap()`
    `int` | `getWidth()`
    `void` | `put(java.lang.String key, java.lang.String value)`
    `java.lang.String` | `toString()`
    `void` | `updateSize(int width, int height)`
    `boolean` | `useCodebaseLookup()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginParameters

          public PluginParameters(java.util.Map<java.lang.String,java.lang.String> params)

  - ### Method Detail

    - #### get

          public java.lang.String get(java.lang.String key)

    - #### put

          public void put(java.lang.String key,
                          java.lang.String value)

    - #### getUnmodifiableMap

          public java.util.Map<java.lang.String,java.lang.String> getUnmodifiableMap()

    - #### getUnderlyingMap

          public java.util.Map<java.lang.String,java.lang.String> getUnderlyingMap()

    - #### getDefaulted

          public java.lang.String getDefaulted(java.lang.String key,
                                               java.lang.String defaultStr)

    - #### getAppletTitle

          public java.lang.String getAppletTitle()

    - #### useCodebaseLookup

          public boolean useCodebaseLookup()

    - #### getArchive

          public java.lang.String getArchive()

    - #### getJavaArchive

          public java.lang.String getJavaArchive()

    - #### getJavaArguments

          public java.lang.String getJavaArguments()

    - #### getCacheArchive

          public java.lang.String getCacheArchive()

    - #### getCacheArchiveEx

          public java.lang.String getCacheArchiveEx()

    - #### getCacheOption

          public java.lang.String getCacheOption()

    - #### getCacheVersion

          public java.lang.String getCacheVersion()

    - #### getCode

          public java.lang.String getCode()

    - #### getJNLPHref

          public java.lang.String getJNLPHref()

    - #### getJNLPEmbedded

          public java.lang.String getJNLPEmbedded()

    - #### getJarFiles

          public java.lang.String getJarFiles()

    - #### getWidth

          public int getWidth()

    - #### getHeight

          public int getHeight()

    - #### getPermissions

          public java.lang.String getPermissions()

    - #### updateSize

          public void updateSize(int width,
                                 int height)

    - #### getUniqueKey

          public java.lang.String getUniqueKey(java.net.URL codebase)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Submit a bug or feature